BICEP Cookies
=============

(c) 2023, Matthew Petroff (https://mpetroff.net/)

Designs licensed under a Creative Commons Attribution 4.0 International (CC BY 4.0) license:
https://creativecommons.org/licenses/by/4.0/

Code license: CC0 1.0, https://creativecommons.org/publicdomain/zero/1.0/

For details, see:
https://mpetroff.net/2023/07/bicep-cookies/


Files
-----

The `designs-source.svg` file is the original source file for the cookie designs.

The `designs-simplified.svg` file has the designs after their outlines were
converted to paths, and the union of these paths was taken.

The `cookie*_*.dxf` files were created by centering each design one at a time in
a 53 mm by 43 mm Inkscape document and exporting it as a DXF R14 file, with the
"use LWPOLYLINE" and "use document units" options checked and the "base unit"
set to "px (unitless)". As CadQuery has issues with nested shapes, the different
parts of nested designs are exported as different files; the `_a` and `_b`
values designate these nested shapes.

The `create_step_files.py` script creates solid models from the `*.dxf` designs
and saves them as STEP files.

Inkscape 1.2.2 was used to create the designs, and CadQuery 2.2.0 was used to
create the solid models.
